## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit      8654bc94ddbfaeec33e3403c6424e2dec8e86c30
%global shortcommit %{sub %{commit} 1 7}

Name:           doh
Version:        0.1^1.%{shortcommit}
Release:        %autorelease
Summary:        Application for DNS-over-HTTPS name resolves and lookups
License:        MIT
URL:            https://github.com/curl/doh
Source:         %{url}/archive/%{commit}/doh-%{shortcommit}.tar.gz
# https://github.com/curl/doh/pull/45
Patch:          0001-Makefile-install-manpage-to-DESTDIR.patch
Patch:          0002-Makefile-install-manpage-without-execute-permission.patch
Patch:          0003-Makefile-create-manpage-directory-structure.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libcurl-devel


%description
A libcurl-using application that resolves a host name using DNS-over-HTTPS
(DoH).  This code uses POST requests unconditionally for this.


%prep
%autosetup -p 1 -n doh-%{commit}


%build
%make_build


%install
%make_install


%files
%license LICENSE
%doc README.md
%{_bindir}/doh
%{_mandir}/man1/doh.1*


%changelog
## START: Generated by rpmautospec
* Fri Mar 28 2025 Carl George <carlwgeorge@fedoraproject.org> - 0.1^1.8654bc9-1
- Update to latest snapshot
- Add patches to fix manpage installation

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 23 2019 Carl George <carl@george.computer> - 0.1-2
- Set build flags before building
- Add patch1 to preserve existing CFLAGS

* Thu Sep 19 2019 Carl George <carl@george.computer> - 0.1-1
- Initial package rhbz#1753769

## END: Generated by rpmautospec
